## heat 21.0.1

=== debian/changelog ===
heat (1:21.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:21:38 +0000

heat (1:21.0.0-5) UNRELEASED; urgency=medium

  * Add Fix_missing_extension_detection_capability_and_fix_arguments.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Nov 2024 10:06:37 +0100

heat (1:21.0.0-4) unstable; urgency=medium

  * Add patches for Python 3.12 fixes (Closes: #1058531):
    - find_spec-not-find_module.patch
    - py3.12-deprecated-importlib-apis.patch
    - py3.12-use-assert_has_calls.patch
    - py3.12-Drop_redundant_code_to_initialize_RequestContext.patch
    - Blacklist 5 unit tests failing in Python 3.12.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2024 15:48:20 +0100

heat (1:21.0.0-3) unstable; urgency=medium

  * Add SQLAlchemy 2.x backport patches from upstream:
    - sqla2.0-tests_Add_missing_oslo.messaging_config_fixture.patch
    - sqla2.0-db_Remove_unnecessary_helper_functions.patch
    - sqla2.0-db_Make_utility_methods_private.patch
    - sqla2.0-db_Group_related_DB_APIs.patch
    - sqla2.0-cmd_Deprecate_heat-manage_migrate_properties_data_command.patch
    - sqla2.0-db_Remove_use_of_subtransactions.patch
    - sqla2.0-db_Only_call_private_methods_from_public_methods.patch
    - sqla2.0-db_Replace_use_of_update_and_save.patch
    - sqla2.0-db_Remove_use_of_transaction_helper.patch
    - sqla2.0-db_Dont_rely_on_branched_connections.patch
    - sqla2.0-db_Migrate_to_enginefacade_pattern.patch
    - sqla2.0-db_Use_raw_connection_to_enable_foreign_keys.patch
  * Re-enabled tests at build time.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 10:06:03 +0100

heat (1:21.0.0-2) unstable; urgency=medium

  * Add missing oslo.versionedobjects namespace when generating heat.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 14:46:45 +0200

heat (1:21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:10:35 +0200

heat (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.
  * Removed debian/*.service, generated by init.in.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 14:08:19 +0200
