=== debian/changelog ===
heat (1:22.0.0-3) unstable; urgency=medium

  * Blacklist failing tests (Closes: #1074656). See upstream bug tracker report:
    https://storyboard.openstack.org/#!/story/2011174
    - test_push_metadata_software_deployments_retry
    - test_push_metadata_software_deployments_retry
    - test_prepare_ports_for_replace_detach_failed
    - test_restore_ports_after_rollback_attach_failed

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 03:19:01 +0200

heat (1:22.0.0-2) unstable; urgency=medium

  * Restrict unit tests on arch: amd64, arm64, mips64el, ppc64el, riscv64,
    s390x.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:24:04 +0200

heat (1:22.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:47:32 +0200

heat (1:22.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop debian/patches/sqla2.0-* applied upstream.
  * Drop use-find_spec-not-find_module.patch applied upstream.
  * Drop debian/patches/py3.12-* applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 12:25:24 +0100
