=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,13 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 #	echo "disabled tests"
-	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update|.*openstack\.aodh\.test_alarm\.AodhAlarmTest\.test_mem_alarm_high_not_integer_parameters.*|.*test_properties\.PropertyTest\.test_int_bad.*|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_with_new_password|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_with_new_password|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_temp_url|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_temp_url|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list_fail|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_string)'
+#  * Blacklist failing tests (Closes: #1074656). See upstream bug tracker report:
+#    https://storyboard.openstack.org/#!/story/2011174
+#    - heat.tests.engine.service.test_software_config.SoftwareConfigServiceTest.test_push_metadata_software_deployments_retry
+#    - heat.tests.openstack.nova.test_server.ServerInternalPortTest.test_prepare_ports_for_replace_detach_failed
+#    - heat.tests.openstack.nova.test_server.ServerInternalPortTest.test_restore_ports_after_rollback_attach_failed
+#    - heat.tests.engine.service.test_software_config.SoftwareConfigServiceTestWithConstraint.test_push_metadata_software_deployments_retry
+	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update|.*openstack\.aodh\.test_alarm\.AodhAlarmTest\.test_mem_alarm_high_not_integer_parameters.*|.*test_properties\.PropertyTest\.test_int_bad.*|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_with_new_password|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_with_new_password|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_temp_url|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_temp_url|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list_fail|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_string|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_retry|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_retry|openstack\.nova\.test_server\.ServerInternalPortTest\.test_prepare_ports_for_replace_detach_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_restore_ports_after_rollback_attach_failed)'
 endif
 
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
@@ -98,17 +104,3 @@
 	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
 	# Fixup a few default for the [trustee] config
 	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee auth_type password
-	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee user_domain_name default
-
-	dh_install
-	dh_missing -Xbin/cinder-keystone-setup --fail-missing
-
-override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc/html
-	dh_sphinxdoc
-endif
-
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
-#	sed -i 's|usr/bin/env python|usr/bin/env python3|' $(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages/heat_integrationtests/install-requirements
