## heat 22.0.1

=== debian/changelog ===
heat (1:22.0.1-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    The heat part that is using the S3 API needs to be modified to accept the
    fix for Keystone, otherwise S3 authentication will stop working.
    Applied upstream patch (Closes: #1120059):
    Keystone_requires_authentication_when_using_the__v3_ec3token_endpoint.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Tue, 04 Nov 2025 16:28:36 +0000

heat (1:22.0.1-2) UNRELEASED; urgency=medium

  [ Ahmed Ettassi ]
  * New upstream point release.

  [ Thomas Goirand ]
  * Add Fix_wrong_shebang_of_loguserdata.py.patch.
  * Add Fix_missing_extension_detection_capability_and_fix_arguments.patch.
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:21:19 +0200

heat (1:22.0.0-4) unstable; urgency=medium

  * Blacklist failing test (Closes: #1081443)
    - heat.tests.test_hot.HOTemplateTest.test_make_url_file

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2024 08:55:56 +0200
