=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  alembic,
  bandit,
  python3-aodhclient,
- python3-babel,
  python3-barbicanclient,
  python3-blazarclient,
  python3-cinderclient,
@@ -26,7 +25,6 @@
  python3-croniter,
  python3-cryptography,
  python3-ddt,
- python3-debtcollector,
  python3-designateclient,
  python3-eventlet,
  python3-fixtures,
@@ -188,14 +186,11 @@
 Depends:
  alembic,
  python3-aodhclient,
- python3-babel,
  python3-barbicanclient,
  python3-blazarclient,
  python3-cinderclient,
  python3-croniter,
  python3-cryptography,
- python3-ddt,
- python3-debtcollector,
  python3-designateclient,
  python3-eventlet,
  python3-glanceclient,
