=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,9 @@
 #    - heat.tests.openstack.nova.test_server.ServerInternalPortTest.test_prepare_ports_for_replace_detach_failed
 #    - heat.tests.openstack.nova.test_server.ServerInternalPortTest.test_restore_ports_after_rollback_attach_failed
 #    - heat.tests.engine.service.test_software_config.SoftwareConfigServiceTestWithConstraint.test_push_metadata_software_deployments_retry
-	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update|.*openstack\.aodh\.test_alarm\.AodhAlarmTest\.test_mem_alarm_high_not_integer_parameters.*|.*test_properties\.PropertyTest\.test_int_bad.*|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_with_new_password|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_with_new_password|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_temp_url|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_temp_url|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list_fail|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_string|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_retry|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_retry|openstack\.nova\.test_server\.ServerInternalPortTest\.test_prepare_ports_for_replace_detach_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_restore_ports_after_rollback_attach_failed)'
+#  * Blacklist failing test (Closes: #1081443)
+#    - heat.tests.test_hot.HOTemplateTest.test_make_url_file
+	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update|.*openstack\.aodh\.test_alarm\.AodhAlarmTest\.test_mem_alarm_high_not_integer_parameters.*|.*test_properties\.PropertyTest\.test_int_bad.*|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_with_new_password|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_with_new_password|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_temp_url|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_temp_url|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_list_fail|test_resource\.ResourceAvailabilityTest\.test_service_deployed_required_extension_true_string|engine\.service\.test_software_config\.SoftwareConfigServiceTest\.test_push_metadata_software_deployments_retry|engine\.service\.test_software_config\.SoftwareConfigServiceTestWithConstraint\.test_push_metadata_software_deployments_retry|openstack\.nova\.test_server\.ServerInternalPortTest\.test_prepare_ports_for_replace_detach_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_restore_ports_after_rollback_attach_failed|test_hot\.HOTemplateTest\.test_make_url_file)'
 endif
 
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
@@ -103,4 +105,3 @@
 
 	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
 	# Fixup a few default for the [trustee] config
-	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee auth_type password
