## heat 23.0.0~rc1

=== debian/changelog ===
heat (1:23.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:52:52 +0200

heat (1:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not package anymore /usr/bin/heat-keystone-setup (gone upstream).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 09:40:43 +0200
