=== debian/changelog ===
heat (1:23.0.0-7~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    The heat part that is using the S3 API needs to be modified to accept the
    fix for Keystone, otherwise S3 authentication will stop working.
    Applied upstream patch (Closes: #1120059):
    Keystone_requires_authentication_when_using_the__v3_ec3token_endpoint.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 04 Nov 2025 16:32:16 +0000

heat (1:23.0.0-6) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:19:52 +0200

heat (1:23.0.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090419).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:48:27 +0100

heat (1:23.0.0-4) unstable; urgency=medium

  * Add Fix_missing_extension_detection_capability_and_fix_arguments.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Nov 2024 08:54:34 +0100

heat (1:23.0.0-3) unstable; urgency=medium

  * Blacklist in autopkgtest:
    - test_resource.ResourceTest.test_create_validate

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2024 08:59:19 +0200

heat (1:23.0.0-2) unstable; urgency=medium

  * Add missing namespaces when generating heat.conf:
    - heat.common.cache
    - heat.engine.hot.functions

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 16:49:39 +0200

heat (1:23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:02:39 +0200
