=== debian/control ===
--- 
+++ 
@@ -60,7 +60,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.reports,
  python3-oslo.serialization,
  python3-oslo.service,
@@ -69,14 +69,12 @@
  python3-oslo.versionedobjects,
  python3-oslotest,
  python3-osprofiler,
- python3-packaging,
  python3-pastedeploy,
  python3-psycopg2,
  python3-pygments,
  python3-pymysql,
  python3-requests,
  python3-routes,
- python3-saharaclient,
  python3-senlinclient,
  python3-sphinxcontrib.apidoc,
  python3-sphinxcontrib.httpdomain,
@@ -223,7 +221,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.reports,
  python3-oslo.serialization,
  python3-oslo.service,
@@ -231,14 +229,12 @@
  python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-osprofiler,
- python3-packaging,
  python3-pastedeploy,
  python3-pbr,
  python3-psycopg2,
  python3-pymysql,
  python3-requests,
  python3-routes,
- python3-saharaclient,
  python3-senlinclient,
  python3-sqlalchemy,
  python3-stevedore,
