## heat 23.0.0+git2025030311.ab30359dd

=== debian/changelog ===
heat (1:23.0.0+git2025030311.ab30359dd-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/urllib-compat.patch: Drop patch.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 11:27:54 +0000

heat (1:23.0.0+git2025011509.674814214-0ubuntu2) plucky; urgency=medium

  * d/p/urllib-compat.patch: Cherry pick patch submitted upstream to
    deal with change in behaviour of relative path parsing in urllib.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Jan 2025 10:18:55 +0000

heat (1:23.0.0+git2025011509.674814214-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/lp2085409.patch: Drop included in snapshot.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop surplus dependencies.
  * d/rules: Update path for config generator configuration.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jan 2025 14:34:06 +0000

heat (1:23.0.0-0ubuntu2) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Rodrigo Barbieri ]
  * d/p/lp2085409.patch: Avoid wrongly passing "no_fixed_ips"
    to Neutron (LP: #2085409).

 -- James Page <james.page@ubuntu.com>  Fri, 20 Dec 2024 10:07:14 +0000

heat (1:23.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:22:48 +0100

heat (1:23.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/urllib-compat.patch: Fix compatibility with newer urllib
    versions.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Sep 2024 14:09:13 +0100

heat (1:22.0.1+git2024080716.6aad80ab-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 13:24:31 +0100

heat (1:22.0.1+git2024080716.6aad80ab-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian

 -- Jadon Naas <jadon.naas@canonical.com>  Tue, 13 Aug 2024 07:17:16 +0100

heat (1:22.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:09:50 +0100

heat (1:22.0.0~rc1-0ubuntu1) noble; urgency=medium

  [ James Page ]
  * d/watch: Track Caracal series releases.

  [ Alex Kavanagh ]
  * New upstream release canadidate for OpenStack Caracal.
  * d/p/*: Refresh.
  * d/p/python3.13-compat.patch: Dropped as patch added upstream.

 -- Alex Kavanagh <alex.kavanagh@canonical.com>  Mon, 25 Mar 2024 16:00:02 +0000

heat (1:21.0.0+git2024011916.2df46d4c-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.
  * d/p/python3.12-compat.patch: Fix has_calls test failures.
  * d/rules: Run unit tests in parallel.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jan 2024 13:56:12 +0000

heat (1:21.0.0-0ubuntu4) noble; urgency=medium

  * d/p/install-missing-files.patch: Updated to pick up
    heat/cloudinit/ (LP: #2039302).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Nov 2023 14:22:35 -0500

heat (1:21.0.0-0ubuntu3) noble; urgency=medium

  * d/p/install-missing-files.patch: Install missing database and cloudinit
    files (LP: #2039302).
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Oct 2023 13:33:37 -0400
